import request from '@/utils/request'

// 查询质量月报S2400列表
export function listS2400(query) {
  return request({
    url: '/production/s2400/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S2400详细
export function getS2400(id) {
  return request({
    url: '/production/s2400/' + id,
    method: 'get'
  })
}

// 新增质量月报S2400
export function addS2400(data) {
  return request({
    url: '/production/s2400',
    method: 'post',
    data: data
  })
}

// 修改质量月报S2400
export function updateS2400(data) {
  return request({
    url: '/production/s2400',
    method: 'put',
    data: data
  })
}

// 删除质量月报S2400
export function delS2400(id) {
  return request({
    url: '/production/s2400/' + id,
    method: 'delete'
  })
}

// 导出质量月报S2400
export function exportS2400(query) {
  return request({
    url: '/production/s2400/export',
    method: 'get',
    params: query
  })
}